﻿@using SSCMvc.Webutil;
@model IEnumerable<SSCMvc.Models.Tb_AdmissHigQual>
@using SSCMvc.Models

    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
       string refadd= CommonUtil.HomeAddress(utype);
        }
<table class="table" style="width: 700px">
    <tr>

        <th>Sr No
        </th>
        <th>Qualification
        </th>
        <th>YearOfPassing
        </th>
        <th>CGPA
        </th>
        <th>Board
        </th>
      

        <th></th>
    </tr>
     @{int i = 0;
      string bgcolor = "oddrow";
    }
    @foreach (var item in Model)
    {
        if (i % 2 == 0)
        {
            bgcolor = "evenrow";
        }
        else
        {
            bgcolor = "oddrow";
        }
        i++;
        <tr class="@bgcolor">

            <td>
                @Html.DisplayFor(modelItem => item.SrNo)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Qualification)
            </td>
            <td>
            @{
        string yop = string.Format("{0:dd MMM,yyyy}", item.YearOfPassing);
                }
                @yop
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CGPA)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Board)
            </td>
           
           
            <td>
                @{
        SSCWebDBEntities1 qual = new SSCWebDBEntities1();
        object admissid = qual.Tb_AdmissHigQual.Where(z => z.Id == item.Id).Select(z => z.AdmissionId).First();
                
                }
                @{
        string myurl = Request.Url.ToString();

        if (myurl.Contains("Edit"))
        { 
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "HighestQualificationEdit", "MaAdmission", new { id = item.Id, @admisid = admissid, @course = "Edit" }, null, null)
        }
        else
        {
                    @Html.ImageActionLink("../../Content/themes/base/images/Edit.png", "Edit", "HighestQualificationEdit", "MaAdmission", new { id = item.Id, @admisid = admissid }, null, null)
        }
                }
                 @{if (utype == CommonUtil.UserTypeSuperAdmin)
                   {
                @Html.ImageActionLink("../../Content/themes/base/images/Delete.png", "Delete", "DelHighestQualifi", "MaAdmission", new { id = item.Id }, new { @class = "delete-link" }, null)
                   }
    }
            </td>
        </tr>
    }

</table>
